using System;
using System.Data;
using System.Collections.Generic;
using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_SMS_SentSMS
    /// </summary>
    public partial class T_SMS_SentSMS
    {
        private readonly CallCenterApi.DAL.T_SMS_SentSMS dal = new CallCenterApi.DAL.T_SMS_SentSMS();
        public T_SMS_SentSMS()
        { }
        #region  Method

        /// <summary>
        /// 得到最大ID
        /// </summary>
        public int GetMaxId()
        {
            return dal.GetMaxId();
        }

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int SMSID)
        {
            return dal.Exists(SMSID);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_SMS_SentSMS model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_SMS_SentSMS model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int SMSID)
        {

            return dal.Delete(SMSID);
        }
        public bool Delete(string arrSMSID)
        {
            return dal.Delete(arrSMSID);
        }
        public int ReSend(string arrSMSID)
        {
            return dal.ReSend(arrSMSID);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string SMSIDlist)
        {
            return dal.DeleteList(SMSIDlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_SMS_SentSMS GetModel(int SMSID)
        {

            return dal.GetModel(SMSID);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_SMS_SentSMS> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_SMS_SentSMS> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_SMS_SentSMS> modelList = new List<CallCenterApi.Model.T_SMS_SentSMS>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_SMS_SentSMS model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new CallCenterApi.Model.T_SMS_SentSMS();
                    if (dt.Rows[n]["SMSID"] != null && dt.Rows[n]["SMSID"].ToString() != "")
                    {
                        model.SMSID = int.Parse(dt.Rows[n]["SMSID"].ToString());
                    }
                    if (dt.Rows[n]["TelNum"] != null && dt.Rows[n]["TelNum"].ToString() != "")
                    {
                        model.TelNum = dt.Rows[n]["TelNum"].ToString();
                    }
                    if (dt.Rows[n]["Content"] != null && dt.Rows[n]["Content"].ToString() != "")
                    {
                        model.Content = dt.Rows[n]["Content"].ToString();
                    }
                    if (dt.Rows[n]["CommitTime"] != null && dt.Rows[n]["CommitTime"].ToString() != "")
                    {
                        model.CommitTime = DateTime.Parse(dt.Rows[n]["CommitTime"].ToString());
                    }
                    if (dt.Rows[n]["State"] != null && dt.Rows[n]["State"].ToString() != "")
                    {
                        model.State = int.Parse(dt.Rows[n]["State"].ToString());
                    }
                    if (dt.Rows[n]["SendTime"] != null && dt.Rows[n]["SendTime"].ToString() != "")
                    {
                        model.SendTime = DateTime.Parse(dt.Rows[n]["SendTime"].ToString());
                    }
                    if (dt.Rows[n]["LastSentTime"] != null && dt.Rows[n]["LastSentTime"].ToString() != "")
                    {
                        model.LastSentTime = DateTime.Parse(dt.Rows[n]["LastSentTime"].ToString());
                    }
                    if (dt.Rows[n]["MaxSendCount"] != null && dt.Rows[n]["MaxSendCount"].ToString() != "")
                    {
                        model.MaxSendCount = int.Parse(dt.Rows[n]["MaxSendCount"].ToString());
                    }
                    if (dt.Rows[n]["CurSentCount"] != null && dt.Rows[n]["CurSentCount"].ToString() != "")
                    {
                        model.CurSentCount = int.Parse(dt.Rows[n]["CurSentCount"].ToString());
                    }
                    if (dt.Rows[n]["Info"] != null && dt.Rows[n]["Info"].ToString() != "")
                    {
                        model.Info = dt.Rows[n]["Info"].ToString();
                    }
                    if (dt.Rows[n]["SendModemIMEI"] != null && dt.Rows[n]["SendModemIMEI"].ToString() != "")
                    {
                        model.SendModemIMEI = dt.Rows[n]["SendModemIMEI"].ToString();
                    }
                    if (dt.Rows[n]["F_UserID"] != null && dt.Rows[n]["F_UserID"].ToString() != "")
                    {
                        model.F_UserID = int.Parse(dt.Rows[n]["F_UserID"].ToString());
                    }
                    if (dt.Rows[n]["F_CustomerID"] != null && dt.Rows[n]["F_CustomerID"].ToString() != "")
                    {
                        model.F_CustomerID = int.Parse(dt.Rows[n]["F_CustomerID"].ToString());
                    }
                    if (dt.Rows[n]["F_Name"] != null && dt.Rows[n]["F_Name"].ToString() != "")
                    {
                        model.F_Name = dt.Rows[n]["F_Name"].ToString();
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

